Package com.io7m.cardant.parsers

# Class CAMetadataExpressions

java.lang.Object
com.io7m.cardant.parsers.CAExpressions
com.io7m.cardant.parsers.CAMetadataExpressions

public final class CAMetadataExpressions extends CAExpressions
Expressions over metadata values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAMetadataExpressions(CAStrings inStrings)`
  Expression parsers for metadata values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAMetadataType`
  `metadataParse(String text)`
  Parse a metadata expression.
  `com.io7m.jsx.SExpressionType`
  `metadataSerialize(CAMetadataType meta)`
  Serialize metadata.
  `String`
  `metadataSerializeToString(CAMetadataType meta)`
  Serialize metadata to a string.
  `protected Map<CAStringConstantType,CAStringConstantType>`
  `syntax()`

  ### Methods inherited from class com.io7m.cardant.parsers.CAExpressions

  `createParseError, createParseError, parse, serialize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CAMetadataExpressions

    public CAMetadataExpressions(CAStrings inStrings)
    Expression parsers for metadata values.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### syntax

    protected Map<CAStringConstantType,CAStringConstantType> syntax()
    Specified by:
      `syntax` in class `CAExpressions`

  - ### metadataParse

    public CAMetadataType metadataParse(String text) throws CAException
    Parse a metadata expression.
    Parameters:
      `text` - The expression
    Returns:
      A metadata value
    Throws:
      `CAException` - On errors

  - ### metadataSerializeToString

    public String metadataSerializeToString(CAMetadataType meta) throws CAException
    Serialize metadata to a string.
    Parameters:
      `meta` - The metadata
    Returns:
      The serialized value
    Throws:
      `CAException` - On errors

  - ### metadataSerialize

    public com.io7m.jsx.SExpressionType metadataSerialize(CAMetadataType meta)
    Serialize metadata.
    Parameters:
      `meta` - The metadata
    Returns:
      The serialized value